Retrieve records for a secondary zone
Returns the list of records for a secondary zone. Those are the records created for its primary IPs.
Supports offset/limit pagination and forward-only cursor pagination via the pagination.token parameter. offset and pagination.token are mutually exclusive (passing both is a 400). limit controls the page size for either. When there are more results to return, the token is returned in the pagination.token field of the response body (and in the _links.next URL) and is absent on the last page. When a token is used, _links.prev is not provided.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The ID (UUID) of the DNS secondary zone.
The first element (of the total list of elements) to include in the response. Use together with limit for pagination.
0The maximum number of elements to return. Use together with offset for pagination.
100Opaque cursor token identifying a page of results. Returned in the
pagination.token field (and the _links.next URL) of a response
when more results remain, and accepted back via the
pagination.token query parameter to fetch that page. The token uses
a URL-safe encoding limited to the characters A-Z, a-z, 0-9,
- and _, so it can be round-tripped in a query string without
escaping.
Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHjPattern: ^[A-Za-z0-9_-]+$Successful operation.
The resource's unique identifier.
42b21ce3-6fc7-44af-b0c9-2aaadbf2b333<RESOURCE-URI>Pagination offset.
0Pagination limit.
1000Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
GET /secondaryzones/{secondaryZoneId}/records HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "42b21ce3-6fc7-44af-b0c9-2aaadbf2b333",
"type": "collection",
"href": "<RESOURCE-URI>",
"metadata": {
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
},
"items": [
{
"type": "record",
"metadata": {
"fqdn": "app.example.com",
"zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf",
"rootName": "primary-zone.de"
},
"properties": {
"name": "app",
"type": "A",
"content": "1.2.3.4",
"ttl": 3600,
"priority": 3600,
"enabled": true
}
}
],
"offset": 0,
"limit": 1000,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
},
"pagination": {
"token": "Q3T9F2xVn8pLk4mZaR7wYeUdIoBs1cHj"
}
}Last updated
Was this helpful?